//----------------------------------------------------------------------
//	STATUS bits
//----------------------------------------------------------------------

const IRP	= 7
const RP1	= 6
const RP0	= 5
const NOT_TO	= 4
const NOT_PD	= 3
const Z		= 2
const DC	= 1
const C		= 0

//----------------------------------------------------------------------
//	INTCON bits
//----------------------------------------------------------------------

const GIE	= 7
const PEIE	= 6
const T0IE	= 5
const INTE	= 4
const GPIE	= 3
const T0IF	= 2
const INTF	= 1
const GPIF	= 0

//----------------------------------------------------------------------
//	PIR1 bits
//----------------------------------------------------------------------

const EEIF	= 7
const ADIF	= 6
const CCP1IF	= 5
const CMIF	= 3
const OSFIF	= 2
const T2IF	= 1
const TMR2IF	= 1
const T1IF	= 0
const TMR1IF	= 0

//----------------------------------------------------------------------
//	T1CON bits
//----------------------------------------------------------------------

const T1GINV	= 7
const T1GE	= 6
const T1CKPS1 	= 5
const T1CKPS0 	= 4
const T1OSCEN 	= 3
const NOT_T1SYNC= 2
const TMR1CS	= 1
const TMR1ON	= 0

//----------------------------------------------------------------------
//	T2CON bits
//----------------------------------------------------------------------

const TOUTPS3 	= 6
const TOUTPS2 	= 5
const TOUTPS1 	= 4
const TOUTPS0 	= 3
const TMR2ON	= 2
const T2CKPS1 	= 1
const T2CKPS0 	= 0

//----------------------------------------------------------------------
//	CCP1CON bits
//----------------------------------------------------------------------

const DC1B1	= 5
const DC1B0	= 4
const CCP1M3	= 3
const CCP1M2	= 2
const CCP1M1	= 1
const CCP1M0	= 0

//----------------------------------------------------------------------
//	WDTCON bits
//----------------------------------------------------------------------

const WDTPS3	= 4
const WDTPS2	= 3
const WDTPS1	= 2
const WDTPS0	= 1
const SWDTEN	= 0

//----------------------------------------------------------------------
//	COMCON0 bits
//----------------------------------------------------------------------

const COUT	= 6
const CINV	= 4
const CIS	= 3
const CM2	= 2
const CM1	= 1
const CM0	= 0

//----------------------------------------------------------------------
//	COMCON1 bits
//----------------------------------------------------------------------

const T1GSS	= 1
const CMSYNC	= 0

//----------------------------------------------------------------------
//	ADCON0 bits
//----------------------------------------------------------------------

const ADFM	= 7
const VCFG	= 6
const CHS2	= 4
const CHS1	= 3
const CHS0	= 2
const GO	= 1
const NOT_DONE	= 1
const GO_DONE 	= 1
const ADON	= 0

//----------------------------------------------------------------------
//	OPTION_REG bits
//----------------------------------------------------------------------

const NOT_GPPU	= 7
const INTEDG	= 6
const T0CS	= 5
const T0SE	= 4
const PSA	= 3
const PS2	= 2
const PS1	= 1
const PS0	= 0


//----------------------------------------------------------------------
//	PIE1 bits
//----------------------------------------------------------------------

const EEIE	= 7
const ADIE	= 6
const CCP1IE	= 5
const CMIE	= 3
const OSFIE	= 2
const T2IE	= 1
const TMR2IE	= 1
const T1IE	= 0
const TMR1IE	= 0

//----------------------------------------------------------------------
//	PCON bits
//----------------------------------------------------------------------

const ULPWUE	= 5
const SBODEN	= 4
const NOT_POR 	= 1
const NOT_BOD 	= 0

//----------------------------------------------------------------------
//	OSCCON bits
//----------------------------------------------------------------------

const IRCF2	= 6
const IRCF1	= 5
const IRCF0	= 4
const OSTS	= 3
const HTS	= 2
const LTS	= 1
const SCS	= 0

//----------------------------------------------------------------------
//	OSCTUNE bits
//----------------------------------------------------------------------

const TUN4	= 4
const TUN3	= 3
const TUN2	= 2
const TUN1	= 1
const TUN0	= 0


//----------------------------------------------------------------------
//	IOC bits
//----------------------------------------------------------------------

const IOC5	= 5
const IOC4	= 4
const IOC3	= 3
const IOC2	= 2
const IOC1	= 1
const IOC0	= 0

//----------------------------------------------------------------------
//	IOCA bits
//----------------------------------------------------------------------

const IOCA5	= 5
const IOCA4	= 4
const IOCA3	= 3
const IOCA2	= 2
const IOCA1	= 1
const IOCA0	= 0

//----------------------------------------------------------------------
//	VRCON bits
//----------------------------------------------------------------------

const VREN	= 7
const VRR	= 5
const VR3	= 3
const VR2	= 2
const VR1	= 1
const VR0	= 0

//----------------------------------------------------------------------
//	EECON1 bits
//----------------------------------------------------------------------

const WRERR	= 3
const WREN	= 2
const WR	= 1
const RD	= 0

//----------------------------------------------------------------------
//	ANSEL bits
//----------------------------------------------------------------------

const ADCS2	= 6
const ADCS1	= 5
const ADCS0	= 4
const ANS3	= 3
const ANS2	= 2
const ANS1	= 1
const ANS0	= 0

