//----------------------------------------------------------------------
//----------------------------------------------------------------------

ubyte	interrupt_enable_cnt


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc fastcall interrupt_disable()

	if interrupt_enable_cnt != 0xff then

		if interrupt_enable_cnt == 0 then

			asm_start

			lab1_interrupt_disable
				bcf	INTCON,GIE
				btfsc	INTCON,GIE
				goto	lab1_interrupt_disable

			asm_end
		endif

		interrupt_enable_cnt += 1

	endif

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc fastcall interrupt_enable()

	if interrupt_enable_cnt != 0 then

		if interrupt_enable_cnt == 1 then

			asm_start

			lab1_interrupt_enable
				bsf	INTCON,GIE
				btfss	INTCON,GIE
				goto	lab1_interrupt_enable

			asm_end
		endif

		interrupt_enable_cnt -= 1

	endif

endproc



