//----------------------------------------------------------------------
//----------------------------------------------------------------------

include "MCU-CONFIG/hwreg-p16f628.h"

pragma cpu_fosc 4000000

pragma cpu_config CFG_INTRC_OSC_NOCLKOUT
pragma cpu_config CFG_WDT_OFF
pragma cpu_config CFG_PWRTE_ON
pragma cpu_config CFG_MCLRE_OFF
pragma cpu_config CFG_BODEN_ON
pragma cpu_config CFG_LVP_OFF
pragma cpu_config CFG_CP_OFF
pragma cpu_config CFG_DATA_CP_OFF

pragma cpu_heartbeat 20

pragma build_config BLD_OPT_PORTA_DIGITAL_IO

// include "LIB/strlib.bas"
include "LIB/str_fp_lib.bas"

//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc main()

	char	buff[12]

	float	val
	ubyte	width
	ubyte	precision

	ubyte	j


	val = 1.23456
	width = 9
	precision = 6

	for j=0 while j<10 step j+=1 do

		fp_str(&buff, val, width, precision)
	
		val = val * 10

	done

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc intserv()
endproc

