//----------------------------------------------------------------------
//----------------------------------------------------------------------

include "MCU-CONFIG/hwreg-p16f628.h"

pragma cpu_fosc 4000000

pragma cpu_config CFG_INTRC_OSC_NOCLKOUT
pragma cpu_config CFG_WDT_OFF
pragma cpu_config CFG_PWRTE_ON
pragma cpu_config CFG_MCLRE_OFF
pragma cpu_config CFG_BODEN_ON
pragma cpu_config CFG_LVP_OFF
pragma cpu_config CFG_CP_OFF
pragma cpu_config CFG_DATA_CP_OFF

pragma cpu_heartbeat 20

pragma build_config BLD_OPT_PORTA_DIGITAL_IO

include "LIB/str_lib.bas"
include "LIB/str_fp_lib.bas"

const	char test_num1 = "1.23456", 0
const	char test_num2 = "12.3456", 0
const	char test_num3 = "123.456", 0
const	char test_num4 = "1.23456e9", 0
const	char test_num5 = "1.23456e-11", 0

// const	int test_num_tbl = test_num1, test_num2, test_num3, test_num4, test_num5
const	char * const	test_num_tbl = test_num1, test_num2, test_num3, test_num4, test_num5

//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc main()

	char	buff[12]

	float	val

	ubyte	j


	for j=0 while j<5 step j+=1 do

		strcpy(&buff, test_num_tbl[j])

		val = str_to_fp(&buff)
	done

endproc


//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc intserv()
endproc

