//---------------------------------------------------------------------
//	STATUS bits
//---------------------------------------------------------------------

const	STATUS_IRP	= (&STATUS << 3) + IRP	
const	STATUS_RP1	= (&STATUS << 3) + RP1	
const	STATUS_RP0	= (&STATUS << 3) + RP0	
const	STATUS_NOT_TO	= (&STATUS << 3) + NOT_TO	
const	STATUS_NOT_PD	= (&STATUS << 3) + NOT_PD	
const	STATUS_Z	= (&STATUS << 3) + Z	
const	STATUS_DC	= (&STATUS << 3) + DC	
const	STATUS_C	= (&STATUS << 3) + C	

//---------------------------------------------------------------------
//	INTCON bits
//---------------------------------------------------------------------

const	INTCON_GIE	= (&INTCON << 3) + GIE	
const	INTCON_EEIE	= (&INTCON << 3) + EEIE	
const	INTCON_T0IE	= (&INTCON << 3) + T0IE	
const	INTCON_INTE	= (&INTCON << 3) + INTE	
const	INTCON_RBIE	= (&INTCON << 3) + RBIE	
const	INTCON_T0IF	= (&INTCON << 3) + T0IF	
const	INTCON_INTF	= (&INTCON << 3) + INTF	
const	INTCON_RBIF	= (&INTCON << 3) + RBIF	

//---------------------------------------------------------------------
//	OPTION_REG bits
//---------------------------------------------------------------------

const	OPTION_REG_NOT_RBPU	= (&OPTION_REG << 3) + NOT_RBPU	
const	OPTION_REG_INTEDG	= (&OPTION_REG << 3) + INTEDG	
const	OPTION_REG_T0CS	= (&OPTION_REG << 3) + T0CS	
const	OPTION_REG_T0SE	= (&OPTION_REG << 3) + T0SE	
const	OPTION_REG_PSA	= (&OPTION_REG << 3) + PSA	
const	OPTION_REG_PS2	= (&OPTION_REG << 3) + PS2	
const	OPTION_REG_PS1	= (&OPTION_REG << 3) + PS1	
const	OPTION_REG_PS0	= (&OPTION_REG << 3) + PS0	

//---------------------------------------------------------------------
//	EECON1 bits
//---------------------------------------------------------------------


const	EECON1_EEPGD	= (&EECON1 << 3) + EEPGD	// NOTE: this MCU does not have EEPGD, it is here for library compatability
const	EECON1_FREE	= (&EECON1 << 3) + FREE	// NOTE: this MCU does not have FREE, it is here for library compatability
const	EECON1_EEIF	= (&EECON1 << 3) + EEIF	
const	EECON1_WRERR	= (&EECON1 << 3) + WRERR	
const	EECON1_WREN	= (&EECON1 << 3) + WREN	
const	EECON1_WR	= (&EECON1 << 3) + WR	
const	EECON1_RD	= (&EECON1 << 3) + RD	

