//---------------------------------------------------------------------
//	STATUS bits
//---------------------------------------------------------------------

const IRP	= 7
const RP1	= 6
const RP0	= 5
const NOT_TO	= 4
const NOT_PD	= 3
const Z		= 2
const DC	= 1
const C		= 0

//---------------------------------------------------------------------
//	INTCON bits
//---------------------------------------------------------------------

const GIE	= 7
const EEIE	= 6
const T0IE	= 5
const INTE	= 4
const RBIE	= 3
const T0IF	= 2
const INTF	= 1
const RBIF	= 0

//---------------------------------------------------------------------
//	OPTION_REG bits
//---------------------------------------------------------------------

const NOT_RBPU	= 7
const INTEDG	= 6
const T0CS	= 5
const T0SE	= 4
const PSA	= 3
const PS2	= 2
const PS1	= 1
const PS0	= 0

//---------------------------------------------------------------------
//	EECON1 bits
//---------------------------------------------------------------------

const has_self_write_capability = 0
const has_self_read_capability  = 0
const has_self_erase_capability = 0

const EEPGD	= 7		// NOTE: this MCU does not have EEPGD, it is here for library compatability
const FREE	= 4		// NOTE: this MCU does not have FREE, it is here for library compatability
const EEIF	= 4
const WRERR	= 3
const WREN	= 2
const WR	= 1
const RD	= 0

