//----------------------------------------------------------------------
//----------------------------------------------------------------------
// this program simply flashes a LED
//
// 3 flashes, pause, 3 flashes, pause, 3 flashes, pause (repeats forever)


//----------------------------------------------------------------------
//----------------------------------------------------------------------

include "MCU-CONFIG/hwreg-p16f88.h"

pragma cpu_fosc 4000000

pragma cpu_config CFG_INTRC_IO
pragma cpu_config CFG_WDT_OFF
pragma cpu_config CFG_PWRTE_ON
pragma cpu_config CFG_MCLRE_OFF
pragma cpu_config CFG_BODEN_ON
pragma cpu_config CFG_LVP_OFF
pragma cpu_config CFG_CP_OFF
pragma cpu_config CFG_CPD_OFF

pragma cpu_config CFG_CCP1_RB0
pragma cpu_config CFG_WRT_PROTECT_NONE
pragma cpu_config CFG_DEBUG_OFF

pragma cpu_config CFG_IESO_OFF
pragma cpu_config CFG_FCMEN_OFF

pragma cpu_heartbeat 20

pragma build_config BLD_OPT_PORTA_DIGITAL_IO

//----------------------------------------------------------------------
//----------------------------------------------------------------------
proc main()

	ulong	j

	ubyte	k, k2, SA

	// set all ports to output
	TRISA = 0
	TRISB = 0
	PORTA = 2
	PORTB = 0

	SA = 0

	while 1 do

		SA = 0
		PORTA = SA

		for k=0 while k<5 step k+=1 do

			for j=0 while j<5000 step j+=1 do
				k2 = 0
			done

			SA = SA ^ 1
			PORTA = SA
		done

		for j=0 while j<20000 step j+=1 do
			k2 = 0
		done
	done

endproc

proc intserv()
endproc
